package com.clx.performance.service;

import com.clx.open.sdk.callback.message.OrderChildMessage;
import com.clx.order.vo.feign.FeignOrderVO;
import com.clx.performance.model.OrderChild;
import com.msl.common.result.Result;

public interface LastTruckService {


    Result<?> syncLastTruckChild(OrderChild child);


    OrderChild getOrderCompleteLastTruck(String orderNo);

    Result<?> syncLastTruckChild4OrderTrigger(String orderNo);

    OrderChild getOrderLastTruck(String orderNo);

    Result<?> syncLastTruck(FeignOrderVO orderInfoFeign, OrderChildMessage after);

    Result<?> handExecSyncSmbLastTruck(String orderNo, String childNo);
}
